// ======================================================================
// Skybox by Ydnar, modified by sockter
// ======================================================================
textures/ancient_remains/skybox
{
	qer_editorimage	textures/ancient_remains/sky_clouds.tga

	// Sockter tweakage
	q3map_sunExt 1 .96 .87 200 325 80 2 16
	q3map_skyLight 200 4
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/ancient_remains/env/sky 512 -
	{	
		map textures/ancient_remains/sky_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.0003
		rgbGen identityLighting
	}
	{
		map textures/ancient_remains/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform	0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

// ======================================================================
// Lava
// ======================================================================
textures/ancient_remains/lavajet
{
	entityMergable
	cull none
	{
    	map textures/ancient_remains/lavajet.tga
    	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    	rgbGen vertex
    	alphaGen vertex
	}
}

textures/ancient_remains/lavahell
{
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ancient_remains/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

// ======================================================================
// Wall Torch Stuff - Thanks to Sockter
// ======================================================================
textures/ancient_remains/torchflame
{
	qer_editorimage	textures/ancient_remains/flame1_editor.tga
	qer_alphafunc greater 0.5
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	qer_trans 0.99
	cull none
	q3map_surfacelight 1000
	{
		animMap 10 textures/ancient_remains/flame1.tga textures/ancient_remains/flame2.tga textures/ancient_remains/flame3.tga textures/ancient_remains/flame4.tga textures/ancient_remains/flame5.tga textures/ancient_remains/flame6.tga textures/ancient_remains/flame7.tga textures/ancient_remains/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/ancient_remains/flame2.tga textures/ancient_remains/flame3.tga textures/ancient_remains/flame4.tga textures/ancient_remains/flame5.tga textures/ancient_remains/flame6.tga textures/ancient_remains/flame7.tga textures/ancient_remains/flame8.tga textures/ancient_remains/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/ancient_remains/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/ancient_remains/wood1toplit
{
	qer_editorimage	textures/ancient_remains/wood1toplit.tga
	q3map_nonplanar
	q3map_shadeAngle 179

	{
		map textures/ancient_remains/wood1toplit.tga
		rgbGen vertex
	}
	{
		map textures/ancient_remains/wood1glow.tga
		blendFunc add
		tcMod rotate -6
		rgbGen wave sin .8 .1 0 .6	
	}
	{
		map textures/ancient_remains/wood1glow.tga
		blendFunc add
		tcMod rotate 8
	}
}

textures/ancient_remains/wood1topout
{
	qer_editorimage	textures/ancient_remains/wood1topout.tga
	q3map_nonplanar
	q3map_shadeAngle 120

	{
		map textures/ancient_remains/wood1topout.tga
		rgbGen const ( 0.3 0.3 0.3 )
	}
}

// ======================================================================
// Grass
// ======================================================================
textures/ancient_remains/grass
{
	q3map_backShader textures/ancient_remains/grass_back
	q3map_vertexScale 2

	// Nah, no bouncing of light, take years to compile and you don't really
    // see a difference ...
	q3map_bounce 0

	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

    // Ok, THIS really kills every cpu... But it looks so damn good :)
    //deformVertexes wave 30 sin 0 3 0 .2

	{
		map textures/ancient_remains/grass.tga
		rgbGen vertex
		//depthWrite
		alphaFunc GE128
		blendFunc blend
		alphaGen portal 256
	}
}

textures/ancient_remains/grass_back
{
	qer_editorimage textures/ancient_remains/grass.tga
	q3map_vertexScale 2
	q3map_bounce 0
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	{
		map textures/ancient_remains/grass.tga
		rgbGen vertex
		//depthWrite
		alphaFunc GE128
		blendFunc blend
		alphaGen portal 256
	}	
}

// ======================================================================
// Magic Mushrooms
// ======================================================================
textures/ancient_remains/mush_top01
{
	qer_editorimage textures/ancient_remains/mush_top01.tga
	q3map_backShader textures/ancient_remains/mush_backface01
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeAngle 179		// Smooth surface

	{
		map textures/ancient_remains/mush_top01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/mush_backface01
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/mush_back01.tga
		rgbGen const ( 0.3 0.3 0.3 )
		alphaFunc GE128		
	}	
}

textures/ancient_remains/mush_stem01
{
	qer_editorimage textures/ancient_remains/mush_stem01.tga

	{
		map textures/ancient_remains/mush_stem01.tga
		rgbGen const ( 0.3 0.3 0.3 )
	}	
}

// ======================================================================
// Awesome Tree
// ======================================================================
textures/ancient_remains/tree01_leaves
{
	qer_editorimage textures/ancient_remains/tree01_leaves.tga
	q3map_backShader textures/ancient_remains/tree01_leaves_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/ancient_remains/tree01_leaves.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}	
}

textures/ancient_remains/tree01_leaves_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/tree01_leaves.tga
		rgbGen const ( 0.225 0.225 0.225 )
		alphaFunc GE128
	}	
}

// ======================================================================
// Vine
// ======================================================================
textures/ancient_remains/vine06
{
	qer_editorimage textures/ancient_remains/vine06.tga
	q3map_backShader textures/ancient_remains/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ancient_remains/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ======================================================================
// Leaves
// ======================================================================
textures/ancient_remains/aseleaf		// Used for ASE file generation only
{
	qer_editorimage textures/ancient_remains/leave02d.tga	// Good solid leaf design
	qer_alphafunc greater 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave01a		// fern 1
{
	qer_editorimage textures/ancient_remains/leave01a.tga
	q3map_backShader textures/ancient_remains/leave01a_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave01a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave01a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave01a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave01b		// fern 2
{
	qer_editorimage textures/ancient_remains/leave01b.tga
	q3map_backShader textures/ancient_remains/leave01b_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave01b.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave01b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave01b.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave01d		// fern (dead)
{
	qer_editorimage textures/ancient_remains/leave01d.tga
	q3map_backShader textures/ancient_remains/leave01d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave01d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave01d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave01d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave02a		// Dock leave
{
	qer_editorimage textures/ancient_remains/leave02a.tga
	q3map_backShader textures/ancient_remains/leave02a_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave02a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave02b		// Solid flat leave
{
	qer_editorimage textures/ancient_remains/leave02b.tga
	q3map_backShader textures/ancient_remains/leave02b_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02b.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave02b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02b.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave02c		// Like a lilly with lots of vains
{
	qer_editorimage textures/ancient_remains/leave02c.tga
	q3map_backShader textures/ancient_remains/leave02c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave02c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave02d		// Curvy pointy leave
{
	qer_editorimage textures/ancient_remains/leave02d.tga
	q3map_backShader textures/ancient_remains/leave02d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave02d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave02d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave03a		// Two tone green
{
	qer_editorimage textures/ancient_remains/leave03a.tga
	q3map_backShader textures/ancient_remains/leave03a_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave03a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave03a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave03a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave03b		// Green with yellow edges
{
	qer_editorimage textures/ancient_remains/leave03b.tga
	q3map_backShader textures/ancient_remains/leave03b_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave03b.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave03b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave03b.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave03c		// Green with whitish edges
{
	qer_editorimage textures/ancient_remains/leave03c.tga
	q3map_backShader textures/ancient_remains/leave03c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave03c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave03c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave03c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave04c		// Shiney leave
{
	qer_editorimage textures/ancient_remains/leave04c.tga
	q3map_backShader textures/ancient_remains/leave04c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave04c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave04c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave04c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/ancient_remains/leave04d		// Dead shiney leave
{
	qer_editorimage textures/ancient_remains/leave04d.tga
	q3map_backShader textures/ancient_remains/leave04d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave04d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ancient_remains/leave04d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ancient_remains/leave04d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ======================================================================
// DotProduct2 Terrain blending
// ======================================================================
textures/ancient_remains/ter_dirtmud
{
        qer_editorimage textures/ancient_remains/ter_dirtmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/ancient_remains/ter_dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ancient_remains/ter_mossmud
{
        qer_editorimage textures/ancient_remains/ter_mossmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

	// For nice grass on the ground (drops fps :/)	
    q3map_surfacemodel maps/ase/grass.ase 45 0.15 0.6 1.2 0 360 1

	{
		map textures/ancient_remains/ter_moss1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ancient_remains/ter_rockmud
{
        qer_editorimage textures/ancient_remains/ter_rockmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/ancient_remains/ter_rock3.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// Hong Phonged textures
// ======================================================================
textures/ancient_remains/ter_rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/ancient_remains/ter_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_rock2.tga
		blendFunc filter
	}
}

// ======================================================================
// Alpha blending without dotProduct2 and ivector
// ======================================================================
textures/ancient_remains/bld_rock2moss2		// Normal texture blending
{
        qer_editorimage textures/ancient_remains/bld_rock2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 120
	
	{
		map textures/ancient_remains/ter_rock2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_moss1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ancient_remains/bld_rock2moss1		// Normal texture blending
{
        qer_editorimage textures/ancient_remains/bld_rock2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 120
	
	{
		map textures/ancient_remains/ter_rock2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_moss1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ancient_remains/dcl_moss1		// Decal blending
{
        qer_editorimage textures/ancient_remains/ter_moss1.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	polygonoffset
	{
		map textures/ancient_remains/ter_moss1.tga
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/ancient_remains/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ancient_remains/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ancient_remains/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ancient_remains/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ancient_remains/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ancient_remains/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
